/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package gui.fileselection;

import gui.filechooser.FilesChooser;

import java.awt.Window;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;
import java.nio.file.Path;

import javax.swing.JButton;
import javax.swing.JTextField;

import util.exception.CancelException;

public class FileSelectionButton extends JButton {

	private static final long serialVersionUID = 1L;
	
	private JTextField dest;

	public FileSelectionButton(JTextField dest,final String title,final Path dir, final String ok,final String cancel) {
		super("...");
		this.dest = dest;
		addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				FilesChooser fc = new FilesChooser( (Window)null,title, false, ok , cancel);
				try {
					fc.showOpenFilesDialog(dir);
					String path = fc.getSelectedPaths()[0].toString();
					if (path != null)
						FileSelectionButton.this.dest.setText(path);
				} catch (CancelException ce) {
					ce.printStackTrace();
				} catch (IOException ioe) {
					ioe.printStackTrace();
				}
			}
		});

	}

}
