/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package gui.settings.dialog.component;

import java.awt.Component;

import javax.swing.JCheckBox;

import settings.Settings;

public class CheckboxSettingsComponent extends SingleSettingsComponent {

	private JCheckBox chk;
	
	public CheckboxSettingsComponent(String settingsName,String text) {
		super(settingsName);
		chk=new JCheckBox(text);
	}

	@Override
	public void saveSettings(Settings s) {
		s.set(settingsName, chk.isSelected()); 
	}

	@Override
	public void loadSettings(Settings s) {
		chk.setSelected(s.getBoolean(settingsName));
	}

	@Override
	public Component getComponent() {
		return chk;
	}
	
	public boolean isSelected() {
		return chk.isSelected();
	}

}
