package shoshone.httpclient;

import java.util.Arrays;

public class DynamicUByteBuffer{
	private int[] arr;
	private int counter;
	
	public DynamicUByteBuffer() {
		this(128);
	}
	
	public DynamicUByteBuffer(int cap) {
		counter=0;
		arr=new int[cap];
	}
	
	private void ensureCap(){
		if (counter==arr.length){
			int[] cp=new int[counter*2]; 
			System.arraycopy(this.arr, 0, cp, 0, counter);
			this.arr=cp;
		}
	}
	
	private void ensureCap(int arrLen){
		if (counter+arrLen>=arr.length){
			int[] cp=new int[(counter+arrLen)*2]; 
			System.arraycopy(this.arr, 0, cp, 0, counter);
			this.arr=cp;
		}
	}

	public void put(int[] bArr) {
		int l=bArr.length;
		ensureCap(l);
		System.arraycopy(bArr, 0,arr , counter, l);
		counter+=l;
	}
	
	public void put(int b) {
		ensureCap();
		arr[counter++] = b;
	}
	
	
	public void put(byte b) {
		ensureCap();
		arr[counter++] = (int)b&0xff;
	}
	
	public int[] getArr() {
		int[] cp=new int[counter];
		System.arraycopy(this.arr, 0, cp, 0, counter);
		return cp;
	}
	
	@Override
	public String toString() {
		return Arrays.toString(arr)+ " "+arr.length+ " " + Arrays.toString(getArr()) + " "+counter;
	}
	
	public int getSize() {
		return counter;
	}
}
